%
%   This functions generates the non-singular matrix that transforms 
%    a to alpha
%
%       alpha = L * a       (*)
%
%   Input: interdata - interpolation data set
%
%   Output: L - the matrix L in (*)
%
function L = GetL(interdata)

L = kron(toeplitz(interdata.tau,[1 ,zeros(1,interdata.mkn-1)]),eye(interdata.m));